[Deprecated]: Get user details by user ID

get

/ec-auth-svc/rest/v1.0/authusers/{userid}

Deprecated: Use /v2.0/authusers/{userid} for current DTOs and additional fields. This endpoint fetches a single user by UUID. v2 support new user schema and additional metadata.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success: User details returned. Deprecated: Use v2/v3 endpoint for expanded user schema.
Body ()
Root Schema : DisplayUserDto
Type: object
User details including name, username, and email address.
Show Source
Example:
[
    {
        "id":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
        "firstName":"Alice",
        "lastName":"Brown",
        "userName":"alicebrown",
        "emailAddress":"alice.brown@email.com"
    }
]
Examples

400 Response

Bad request
Body ()
Root Schema : AuthResponse
Type: object
Generic API response wrapper containing result, error data, response version and status.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41f
Nested Schema : details
Type: object
Back to Top